| Irrlicht 3D Engine |

Public Member Functions
irr::ILogger Class Reference

Interface for logging messages, warnings and errors. More...

`#include <ILogger.h>`

Inheritance diagram for irr::ILogger:

List of all members.

## Public Member Functions

- virtual ~ILogger ()
    Destructor.
- virtual ELOG_LEVEL getLogLevel () const =0
    Returns the current set log level.
- virtual void log (const c8 *text, ELOG_LEVEL ll=ELL_INFORMATION)=0
    Prints out a text into the log.
- virtual void log (const c8 *text, const c8 *hint, ELOG_LEVEL ll=ELL_INFORMATION)=0
    Prints out a text into the log.
- virtual void log (const c8 *text, const wchar_t *hint, ELOG_LEVEL ll=ELL_INFORMATION)=0
- virtual void log (const wchar_t *text, const wchar_t *hint, ELOG_LEVEL ll=ELL_INFORMATION)=0
    Prints out a text into the log.
- virtual void log (const wchar_t *text, ELOG_LEVEL ll=ELL_INFORMATION)=0
    Prints out a text into the log.
- virtual void setLogLevel (ELOG_LEVEL ll)=0
    Sets a new log level.

## Detailed Description

Interface for logging messages, warnings and errors.

Definition at line 38 of file ILogger.h.

## Constructor & Destructor Documentation

virtual irr::ILogger::~ILogger | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 43 of file ILogger.h.

## Member Function Documentation

virtual ELOG_LEVEL irr::ILogger::getLogLevel | ( |  | ) | const`[pure virtual]`

Returns the current set log level.

virtual void irr::ILogger::log | ( | const c8 * | text,
|  | ELOG_LEVEL | ll = `ELL_INFORMATION`
| ) |  | `[pure virtual]`

Prints out a text into the log.

Parameters:

  text,: | Text to print out.
  ll,: | Log level of the text. If the text is an error, set it to ELL_ERROR, if it is warning set it to ELL_WARNING, and if it is just an informational text, set it to ELL_INFORMATION. Texts are filtered with these levels. If you want to be a text displayed, independent on what level filter is set, use ELL_NONE.

virtual void irr::ILogger::log | ( | const c8 * | text,
|  | const c8 * | hint,
|  | ELOG_LEVEL | ll = `ELL_INFORMATION`
| ) |  | `[pure virtual]`

Prints out a text into the log.

Parameters:

  text,: | Text to print out.
  hint,: | Additional info. This string is added after a " :" to the string.
  ll,: | Log level of the text. If the text is an error, set it to ELL_ERROR, if it is warning set it to ELL_WARNING, and if it is just an informational text, set it to ELL_INFORMATION. Texts are filtered with these levels. If you want to be a text displayed, independent on what level filter is set, use ELL_NONE.

virtual void irr::ILogger::log | ( | const c8 * | text,
|  | const wchar_t * | hint,
|  | ELOG_LEVEL | ll = `ELL_INFORMATION`
| ) |  | `[pure virtual]`

virtual void irr::ILogger::log | ( | const wchar_t * | text,
|  | const wchar_t * | hint,
|  | ELOG_LEVEL | ll = `ELL_INFORMATION`
| ) |  | `[pure virtual]`

Prints out a text into the log.

Parameters:

  text,: | Text to print out.
  hint,: | Additional info. This string is added after a " :" to the string.
  ll,: | Log level of the text. If the text is an error, set it to ELL_ERROR, if it is warning set it to ELL_WARNING, and if it is just an informational text, set it to ELL_INFORMATION. Texts are filtered with these levels. If you want to be a text displayed, independent on what level filter is set, use ELL_NONE.

virtual void irr::ILogger::log | ( | const wchar_t * | text,
|  | ELOG_LEVEL | ll = `ELL_INFORMATION`
| ) |  | `[pure virtual]`

Prints out a text into the log.

Parameters:

  text,: | Text to print out.
  ll,: | Log level of the text. If the text is an error, set it to ELL_ERROR, if it is warning set it to ELL_WARNING, and if it is just an informational text, set it to ELL_INFORMATION. Texts are filtered with these levels. If you want to be a text displayed, independent on what level filter is set, use ELL_NONE.

virtual void irr::ILogger::setLogLevel | ( | ELOG_LEVEL | ll | ) | `[pure virtual]`

Sets a new log level.

With this value, texts which are sent to the logger are filtered out. For example setting this value to ELL_WARNING, only warnings and errors are printed out. Setting it to ELL_INFORMATION, which is the default setting, warnings, errors and informational texts are printed out.

Parameters:

  ll,: | new log level filter value.

The documentation for this class was generated from the following file:

- ILogger.h